//
//  HeisAppDelegate.m
//  HeisApp
//
//  Created by Sturla Sandvei on 4/19/11.
//  Copyright 2011 NTNU. All rights reserved.
//

#import "HeisAppDelegate.h"

@implementation HeisAppDelegate

@synthesize window=_window;
@synthesize tabBarController=_tabBarController;
@synthesize filTabell, csvFil, differanse, sensorAktiv;

- (id) init 
{
    // Setter oppstartsverdier til null
    csvFil = [NSString stringWithString: @"ingen"];
    filTabell = [[NSMutableArray alloc] init];
    differanse = 0.0;
    sensorAktiv = 0;
    
    // Finner katalog for lagring av CSV-filer på telefonen
    NSArray *kataloger = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDirectory, YES);
    NSString *dokKatalog = [kataloger objectAtIndex:0]; // index 0 inneholder stien til appens Documents katalog
    
    // Lese ut hva som ligger lagret av filer på dokumentkatalogen i telefonen
    NSArray *alleFiler = [[NSFileManager defaultManager] contentsOfDirectoryAtPath:dokKatalog error:Nil];
    NSString *enFil;
    
    // Går gjennom alle filene og putter csv-filene i filtabellen
    for (int i=0; i < [alleFiler count]; i++)
    {
        // Leser ut ett filnavn fra katalogen
        enFil = [alleFiler objectAtIndex:i];
        // Hvis det er en CSV-fil legges den i filtabellen vår
        if ( [enFil hasSuffix:@".csv"] ) [filTabell addObject:enFil];
    }
    
    return self;
}


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    // Add the tab bar controller's current view as a subview of the window
    self.window.rootViewController = self.tabBarController;
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
     */
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    /*
     Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
     */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    /*
     Called when the application is about to terminate.
     Save data if appropriate.
     See also applicationDidEnterBackground:.
     */
}

- (void)dealloc
{
    [_window release];
    [_tabBarController release];
    [filTabell release];
    [csvFil release];
    [super dealloc];
}

@end
